### Method

# GIRepository CallableInfo iterate_return_attributes

since: 2.80

#### Declaration [src]

    gboolean
    gi_callable_info_iterate_return_attributes (
      GICallableInfo* info,
      GIAttributeIter* iterator,
      const char** name,
      const char** value
    )

#### Description [src]

Iterate over all attributes associated with the return value.

The iterator structure is typically stack allocated, and must have its first member initialized to `NULL`.

Both the `name` and `value` should be treated as constants and must not be freed.

See `gi_base_info_iterate_attributes()` for an example of how to use a similar API.

Available since: 2.80

#### Parameters

`iterator`

  Type: `GIAttributeIter`

  A `GIAttributeIter` structure, must be initialized; see below.

  The argument will be modified by the function.
  The instance takes ownership of the data, and is responsible for freeing it.

`name`

  Type: `const char**`

  Returned name, must not be freed.

  The argument will be set by the function.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char**`

  Returned name, must not be freed.

  The argument will be set by the function.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if there are more attributes.